=== debian/changelog ===
boomaga (0.6.2-1build1) wily; urgency=medium

  * No-change rebuild against libsnappy1v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Aug 2015 20:39:20 +0000

boomaga (0.6.2-1) unstable; urgency=low

  * Initial release (Closes: #778879)

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 20 Feb 2015 23:54:40 -0300
