## boomaga 0.7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,8 +29,8 @@
 project(boomaga)
 
 set(MAJOR_VERSION 0)
-set(MINOR_VERSION 6)
-set(PATCH_VERSION 2)
+set(MINOR_VERSION 7)
+set(PATCH_VERSION 1)
 set(FULL_VERSION ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION})
 
 add_definitions(-DMAJOR_VERSION=\"${MAJOR_VERSION}\")
