=== gui/CMakeLists.txt ===
--- 
+++ 
@@ -54,6 +54,7 @@
     kernel/projectfile.h
     pdfmerger/pdfmergeripc.h
     configdialog/configdialog.h
+    printdialog/printdialog.h
 )
 
 set(SOURCES
@@ -83,6 +84,7 @@
     kernel/projectfile.cpp
     pdfmerger/pdfmergeripc.cpp
     configdialog/configdialog.cpp
+    printdialog/printdialog.cpp
 )
 
 set (MOCS
@@ -102,6 +104,7 @@
     kernel/projectfile.h
     pdfmerger/pdfmergeripc.h
     configdialog/configdialog.h
+    printdialog/printdialog.h
 )
 
 set(LIBRARIES
@@ -115,6 +118,7 @@
     aboutdialog/aboutdialog.ui
     export/exporttopdf.ui
     configdialog/configdialog.ui
+    printdialog/printdialog.ui
 )
 
 # QRC files .................
@@ -140,7 +144,7 @@
 #set(CMAKE_BUILD_TYPE Debug)
 
 if(CMAKE_COMPILER_IS_GNUCXX)
-    #add_definitions (-Wall -pedantic)
+    add_definitions (-Wall -pedantic)
 endif()
 
 #*******************************************
@@ -258,3 +262,9 @@
 install(FILES   misc/boomaga.xml        DESTINATION "share/mime/packages")
 
 add_subdirectory(pdfmerger)
+
+if(USE_QT4)
+    message(STATUS "Use Qt4, for building with Qt5 use -DUSE_QT5=Yes option.")
+else()
+    message(STATUS "Use Qt5, for building with Qt4 use -DUSE_QT4=Yes option.")
+endif()
