=== debian/changelog ===
boomaga (0.7.1-1build3) xenial; urgency=medium

  * No-change rebuild against new poppler

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 07 Mar 2016 16:16:40 +0000

boomaga (0.7.1-1build2) xenial; urgency=medium

  * No change rebuild with new poppler soname

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 23 Nov 2015 11:35:32 +1300

boomaga (0.7.1-1build1) xenial; urgency=medium

  * No change rebuild with new poppler soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 29 Oct 2015 09:58:12 +0100

boomaga (0.7.1-1) unstable; urgency=medium

  * New upstream release.
  * Simplify the installation of translation files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 11 Sep 2015 09:14:47 -0300
