## boomaga 1.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,15 +28,23 @@
 
 project(boomaga)
 
-set(MAJOR_VERSION 0)
-set(MINOR_VERSION 7)
-set(PATCH_VERSION 1)
+set(MAJOR_VERSION 1)
+set(MINOR_VERSION 0)
+set(PATCH_VERSION 0)
 set(FULL_VERSION ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION})
 
 add_definitions(-DMAJOR_VERSION=\"${MAJOR_VERSION}\")
 add_definitions(-DMINOR_VERSION=\"${MINOR_VERSION}\")
 add_definitions(-DPATCH_VERSION=\"${PATCH_VERSION}\")
 add_definitions(-DFULL_VERSION=\"${FULL_VERSION}\")
+
+set (CMAKE_CXX_STANDARD 11)
+
+include("cmake/tools.cmake")
+status_message("boomaga ver. ${FULL_VERSION}")
+status_message(" ")
+
+
 
 find_program(CUPS_CONFIG_EXECUTABLE NAMES cups-config)
 if(CUPS_CONFIG_EXECUTABLE)
@@ -63,23 +71,10 @@
 
 endif()
 
-macro(setByDefault VAR_NAME VAR_VALUE)
-  if (NOT DEFINED ${VAR_NAME})
-    set (${VAR_NAME} ${VAR_VALUE})
-    add_definitions(-D${VAR_NAME}=\"${VAR_VALUE}\")
-  endif()
-endmacro()
-
-macro(setFirstUpper VAR_NAME VAR_VALUE)
-  string(SUBSTRING ${VAR_VALUE} 0 1 FIRST_LETTER)
-  string(TOUPPER ${FIRST_LETTER} FIRST_LETTER)
-  string(REGEX REPLACE "^.(.*)" "${FIRST_LETTER}\\1" ${VAR_NAME} "${VAR_VALUE}")
-endmacro()
-
 set(GUI_DIR ${CMAKE_INSTALL_PREFIX}/bin)
 add_definitions(-DGUI_DIR=\"${GUI_DIR}\")
 
-set(NONGUI_DIR ${CMAKE_INSTALL_PREFIX}/lib/boomaga)
+set(NONGUI_DIR ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/boomaga)
 add_definitions(-DNONGUI_DIR=\"${NONGUI_DIR}\")
 
 ###########################################################
@@ -103,31 +98,28 @@
 setByDefault(DBUS_SERVICE_DIR   ${DEF_DBUS_SERVICE_DIR})
 
 
+status_message(" ")
+status_message("You can change the following directories using cmake options like:")
+status_message("-DCUPS_PPD_DIR=your_path")
+status_message(" ")
+status_message("  CUPS_BACKEND_DIR     =  ${CUPS_BACKEND_DIR}")
+status_message("  CUPS_FILTER_DIR      =  ${CUPS_FILTER_DIR}")
+status_message("  CUPS_PPD_DIR         =  ${CUPS_PPD_DIR}")
+status_message("  DBUS_MACINE_ID_DIR   =  ${DBUS_MACINE_ID_DIR}")
+status_message("  DBUS_SERVICE_DIR     =  ${DBUS_SERVICE_DIR}")
+status_message(" ")
+status_message(" You can change the following options using cmake options:")
+status_message("  INSTANCE_NAME        =  ${INSTANCE_NAME}")
+status_message("  CUPS_BACKEND_URI     =  ${CUPS_BACKEND_URI}")
+status_message("  CUPS_BACKEND_INFO    =  ${CUPS_BACKEND_INFO}")
+status_message("  CUPS_BACKEND_MODEL   =  ${CUPS_BACKEND_MODEL}")
+status_message("  CUPS_BACKEND_DESCRIPTION  = ${CUPS_BACKEND_DESCRIPTION}")
+status_message("  CUPS_BACKEND_MANUFACTURER = ${CUPS_BACKEND_MANUFACTURER}")
+status_message(" ")
+
 add_subdirectory(cups)
 add_subdirectory(gui)
 install(FILES boomaga.1.gz  DESTINATION share/man/man1)
-
-message(STATUS "*****************************************************")
-message(STATUS "* boomaga ver. ${FULL_VERSION}")
-message(STATUS "*")
-message(STATUS "* You can change the following directories using cmake options like:")
-message(STATUS "*   -DCUPS_PPD_DIR=your_path")
-message(STATUS "*")
-message(STATUS "*  CUPS_BACKEND_DIR     =  ${CUPS_BACKEND_DIR}")
-message(STATUS "*  CUPS_FILTER_DIR      =  ${CUPS_FILTER_DIR}")
-message(STATUS "*  CUPS_PPD_DIR         =  ${CUPS_PPD_DIR}")
-message(STATUS "*  DBUS_MACINE_ID_DIR   =  ${DBUS_MACINE_ID_DIR}")
-message(STATUS "*  DBUS_SERVICE_DIR     =  ${DBUS_SERVICE_DIR}")
-message(STATUS "*")
-message(STATUS "* You can change the following options using cmake options:")
-message(STATUS "*  INSTANCE_NAME        =  ${INSTANCE_NAME}")
-message(STATUS "*  CUPS_BACKEND_URI     =  ${CUPS_BACKEND_URI}")
-message(STATUS "*  CUPS_BACKEND_INFO    =  ${CUPS_BACKEND_INFO}")
-message(STATUS "*  CUPS_BACKEND_MODEL   =  ${CUPS_BACKEND_MODEL}")
-message(STATUS "*  CUPS_BACKEND_DESCRIPTION  = ${CUPS_BACKEND_DESCRIPTION}")
-message(STATUS "*  CUPS_BACKEND_MANUFACTURER = ${CUPS_BACKEND_MANUFACTURER}")
-
-message(STATUS "*****************************************************")
 
 ########## Add make dist target ################
 SET(CPACK_PACKAGE_VERSION "${FULL_VERSION}")
@@ -143,3 +135,5 @@
 INCLUDE(CPack)
 # simulate autotools' "make dist"
 add_custom_target(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
+
+show_status()
