=== gui/tests/CMakeLists.txt ===
--- 
+++ 
@@ -24,20 +24,33 @@
  # END_COMMON_COPYRIGHT_HEADER
  
  
- project(boomaga_test)
-cmake_minimum_required( VERSION 2.6 )
+cmake_minimum_required(VERSION 3.0.0)
+cmake_policy(SET CMP0028 NEW)
+
+project(boomaga_test)
 
 
 set(TEST_HEADERS
     testboomaga.h
+    tools.h
+    ../pdfparser/pdferrors.h
+    ../pdfparser/pdfreader.h
+    ../pdfparser/pdfvalue.h
+    ../pdfparser/pdfobject.h
+    ../pdfparser/pdfwriter.h
+    ../pdfparser/pdfxref.h
 )
 
 set(TEST_SOURCES
     testboomaga.cpp
-)
-
-set(TEST_MOCS
-    testboomaga.h
+    testpdfparser.cpp
+    testpdfreader.cpp
+    testpdfwriter.cpp
+    ../pdfparser/pdfreader.cpp
+    ../pdfparser/pdfvalue.cpp
+    ../pdfparser/pdfobject.cpp
+    ../pdfparser/pdfwriter.cpp
+    ../pdfparser/pdfxref.cpp
 )
 
 
@@ -51,10 +64,8 @@
 endmacro()
 
 
-
 ADD_FROM_PROJECT(TEST_HEADERS ${HEADERS})
 ADD_FROM_PROJECT(TEST_SOURCES ${SOURCES})
-ADD_FROM_PROJECT(TEST_MOCS    ${MOCS})
 
 
 add_definitions(-DTEST_DATA_DIR=\"${CMAKE_CURRENT_SOURCE_DIR}/data/\")
@@ -69,22 +80,15 @@
     ${CMAKE_CURRENT_BINARY_DIR}
 )
 
-if(USE_QT4)
-    set(QT_USE_QTTEST true)
-    find_package(Qt4 REQUIRED QUIET)
-    include(${QT_USE_FILE})
-    qt4_wrap_cpp(TEST_MOC_SOURCES ${TEST_MOCS})
-else()
-    cmake_minimum_required(VERSION 2.8.3)
-
-    find_package(Qt5Test REQUIRED)
-    include_directories(${Qt5Test_INCLUDE_DIRS})
-    add_definitions(${Qt5Test_DEFINITIONS})
-    set(QT_LIBRARIES ${QT_LIBRARIES} ${Qt5Test_LIBRARIES})
-
-    qt5_wrap_cpp(TEST_MOC_SOURCES ${TEST_MOCS})
-endif()
+find_package(Qt5 REQUIRED
+    Core
+    Test
+    Widgets
+    PrintSupport
+    DBus
+    LinguistTools
+)
 
 
-add_executable(${PROJECT_NAME} ${TEST_HEADERS} ${TEST_SOURCES} ${TEST_MOC_SOURCES} )
-target_link_libraries(${PROJECT_NAME} ${QT_LIBRARIES} ${LIBRARIES})
+add_executable(${PROJECT_NAME} ${TEST_HEADERS} ${TEST_SOURCES})
+target_link_libraries(${PROJECT_NAME} ${LIBRARIES} Qt5::Core Qt5::Test Qt5::Widgets Qt5::PrintSupport Qt5::DBus)
