=== debian/changelog ===
boomaga (1.0.0-1) unstable; urgency=medium

  * New upstream release.
    - Do not require libpoppler-private-dev anymore (Closes: #883518).
  * Add Vcs-Git and Vcs-Browser tags.
  * Bump Standards-Version to 4.1.1. No changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 05 Dec 2017 15:37:44 -0300

boomaga (0.9.1-2) unstable; urgency=medium

  * Release to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 19 Sep 2017 12:09:47 -0300

boomaga (0.9.1-1) experimental; urgency=medium

  * Upload to experimental to not interfere with the ongoing popple
    transition.
  * New upstream release.
  * Bump debian/compat to 10.
    - Remove --parallel while building, it's the default now.
    - Remove debian/boomaga.install as we now only ship one binary package.
    - Bump debhelper dependency to >= 10.2~.
  * Migrate debugging symbols to dbgsym.
    - Pass the dh_strip option directly to it.
  * Bump Standards-Version to 4.0.1, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 30 Aug 2017 14:26:40 -0300
