=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,10 @@
 export QT_SELECT := qt5
 
 %:
-	dh $@ --parallel --dbg-package=boomaga-dbg
+	dh $@
+
+override_dh_strip:
+	dh_strip --dbgsym-migration='boomaga-dbg (<< 0.9.1-1~)'
 
 override_dh_install:
 	dh_install --fail-missing
